Subject: Re: Long boot delay on 460EX with 2.6.28-rc8

From: Felix Radensky <[email-masked]>
Date: Wed, 24 Dec 2008 13:40:12 -0800 (PST)

Leon Woestenberg-3 wrote:
> 
> Felix,
> 
> On Sat, Dec 20, 2008 at 7:51 AM, Felix Radensky <[email-masked]>
> wrote:
>>
>> I've found the cause of the delay. It was a stupid error on my part, not
>> related to ndfc driver, which is fine. Thanks a lot for you work on this.
>>
> Could you share the error?* (I'm sure I can easily exceed your level
> of stupidity)
> 
> It helps people who are curiously following the thread (either now or
> in two years time, hi there!) learn if it matches their problem.
> 
> 
> Regards,
> -- 
> Leon
> 
> * unless of course, it was really really really stupid in the first
> place and will cost you your daytime job. Then you are excused.
> 
> 

Well, I was simply using the wrong kernel for testing :) I did all work
on 2.6.26, and backported ndfc driver to it. At this stage of the project
it was too risky to use 2.6.28. But I did the minimal porting work, to see
how 2.8.28 behaves on this hardware, and I thought that I saw this long
delay on 2.6.28 as well as on 2.6.26. I was wrong. The reason for long
delay on 2.6.26 is nand ecc code, which was since completely rewritten.
After I've copied  new drivers/mtd/nand/nand_ecc,c to 2.6.26,  the delay
disappeared.

Felix.
-- 
View this message in context: http://www.nabble.com/Long-boot-delay-on-460EX-with-2.6.28-rc8-tp21070179p21156958.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.